> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar Token

> Use este endpoint para gerar um token JWT de teste para testes direto em nossa documentação.



## OpenAPI

````yaml api-reference/openapi.json post /test/generate-token
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /test/generate-token:
    post:
      tags:
        - Autenticacao
      summary: Criar Token
      description: >-
        Use este endpoint para gerar um token JWT de teste para testes direto em
        nossa documentação.
      operationId: generate_token_test_generate_token_post
      parameters:
        - name: x-user-id
          in: header
          required: true
          schema:
            type: string
            description: Seu User ID
            title: X-User-Id
          description: Seu User ID
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Sua API Key
            title: X-Api-Key
          description: Sua API Key
        - name: x-private-key
          in: header
          required: true
          schema:
            type: string
            description: Sua chave privada (PEM) para assinatura da requisição em base64
            title: X-Private-Key
          description: Sua chave privada (PEM) para assinatura da requisição em base64
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProxyRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProxyRequest:
      properties:
        method:
          type: string
          title: Method
          description: 'O método HTTP da requisição final (ex: ''GET'', ''POST'').'
          examples:
            - GET
        path:
          type: string
          title: Path
          description: 'O caminho do endpoint final (ex: ''/external/receipts/some-id'').'
          examples:
            - /external/receipts/00d51abb-7bf5-42ee-a9e7-fc7398236565
        body:
          anyOf:
            - type: object
            - type: 'null'
          title: Body
          description: O corpo JSON da requisição final, se houver.
          examples:
            - key: value
      type: object
      required:
        - method
        - path
      title: ProxyRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.